<odoo>
    <record id="view_estimate_pivot" model="ir.ui.view">
        <field name="name">Отчет по показателям</field>
        <field name="model">hg.value</field>
        <field name="arch" type="xml">
            <pivot>
                <field name="date_due" type="col" interval="week"/>
                <field name="index_id" type="row"/>
                <field name="value_float_actual" type="measure" operator="sum" string="Факт (Сумма)"/>
                <field name="value_float_plan" type="measure" operator="sum" string="План (Сумма)"/>
            </pivot>
        </field>
    </record>

    <record id="view_edit_estimate_list" model="ir.ui.view">
        <field name="name">Править смету</field>
        <field name="model">hg.value</field>
        <field name="arch" type="xml">
            <list editable="bottom">
                <field name="value_float_actual"/>
                <field name="value_float_plan"/>
                <field name="date_due"/>
                <field name="index_id" string="Показатель"/>
                <button name="calc" type="object" string="Вычислить"/>
            </list>
        </field>
    </record>

    <record id="mklab_base_indicators_extended.hg_reports_window" model="ir.actions.act_window">
        <field name="name">Отчетность</field>
        <field name="res_model">hg.value</field>
        <field name="view_mode">list,form</field>
    </record>

    <record id="mklab_base_indicators_extended.hypergraph_view_estimate_pivot_window" model="ir.actions.act_window">
        <field name="name">Отчет по показателям</field>
        <field name="res_model">hg.value</field>
        <field name="view_mode">pivot</field>
    </record>

    <menuitem name="Отчетность" id="hypergraph_reports" parent="mklab_base_indicators.hypergraph_base_menu_root"
              action="mklab_base_indicators_extended.hg_reports_window"/>
    <menuitem name="Отчет по показателям" id="hypergraph_reports_value" parent="hypergraph_reports"
              action="mklab_base_indicators_extended.hypergraph_view_estimate_pivot_window"/>
</odoo>